// This file is part of VisionCpp, a lightweight C++ template library
// for computer vision and image processing.
//
// Copyright (C) 2016 Codeplay Software Limited. All Rights Reserved.
//
// Contact: visioncpp@codeplay.com
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/// \file visioncpp.hpp
/// \brief This file is collection of headers that makes VisionCpp library

#ifndef VISIONCPP_INCLUDE_VISIONCPP_HPP_
#define VISIONCPP_INCLUDE_VISIONCPP_HPP_

#include <iostream>

/// Include SYCL header
#include <CL/sycl.hpp>

// include VisionCpp type definitions
#include "pixel/pixel.hpp"

// include framework operators
#include "operators/ops.hpp"

// include framework headers
#include "framework/framework.hpp"

#endif  // VISIONCPP_INCLUDE_VISIONCPP_HPP_